<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <link rel="stylesheet" href="node_modules/siimple/dist/siimple.min.css">
  <link rel="stylesheet" href="node_modules/typicons.font/src/font/typicons.css">
  <link rel="stylesheet" href="style.css">
  <style>
    @font-face {
      font-family: 'typicons';
      src: url("node_modules/typicons.font/src/font/typicons.eot");
      src: url("node_modules/typicons.font/src/font/typicons.eot?#iefix") format('embedded-opentype'),
      url("node_modules/typicons.font/src/font/typicons.woff") format('woff'),
      url("node_modules/typicons.font/src/font/typicons.ttf") format('truetype'),
      url("node_modules/typicons.font/src/font/typicons.svg#typicons") format('svg');
      font-weight: normal;
      font-style: normal;
    }
  </style>
  <style>
    /* Set the size of the div element that contains the map */

    #map {
      /* height: 400px; */
      /* The height is 400 pixels */
      width: 100%;
      height: 86%;
      /* The width is the width of the web page */
    }
  </style>

  <title>Mockup Remote Monitoring</title>
</head>

<body>
  <div class="menu siimple-navbar siimple-navbar--extra-large siimple-navbar--primary">
    <a href="" class="siimple--float-left">
      <img style="vertical-align: top" src="assets/images/logobsnbsr.png" alt="Basarnas">
      <div class="siimple-navbar-title">Basarnas</div>
      <a class="siimple-navbar-subtitle">Home</a>
    </a>
    <div class="siimple--float-right">
      <div class="siimple-navbar-item">Input</div>
      <div class="siimple-navbar-item">Scheduling</div>
      <div class="siimple-navbar-item">Management</div>
      <div class="siimple-navbar-item">Report</div>
      <div class="siimple-navbar-item">
        <span id="menu-toggle" style="font-size: x-large" class="typcn typcn-point-of-interest"></span>
        <div id="menu-toggle-list" style="padding: 10px; right: 10px; width: 200px; z-index: 2; background-color: white; display: none; position: absolute;"
          class="siimple-menu">
          <div class="siimple-menu-group">Username admin</div>
          <a href="" class="siimple-menu-item">Profile</a>
          <a href="" class="siimple-menu-item">Sign out</a>
        </div>
      </div>
    </div>
  </div>
  <div id="map"></div>
  <div style="padding-bottom: 15px; padding-top: 15px" class="siimple-footer siimple-footer--extra-large siimple-footer--dark">
    Supported by
    <strong class="siimple--float-right">
      &copy; 2018
      <a style="text-decoration: none; color: #4E91E4" href="http://www.indomegateknologi.com/web/public/">PT. IndoMega Teknologi</a>
    </strong>
  </div>
  <script src="node_modules/jquery/dist/jquery.min.js"></script>
  <script src="script.js"></script>
  <script>
    // Initialize and add the map
    function initMap() {
      // The location of indonesia
      var indonesia = { lat: -2.279866, lng: 117.369878 };
      // The map, centered at indonesia
      var map = new google.maps.Map(
        document.getElementById('map'), { zoom: 5, center: indonesia }
      );

      var content = `<div style="width:200px;min-height:40px"> <b> KN SAMPLE </b> <br>   Last Position Update : <i> 2017-08-21 06:00:02 </i> <br> Latitude :1.68705 <br> Longitude: 101.453 <br>  Last Data Update : <i> 2017-08-21 06:00:02 </i> <br> ME : <b> -   -   -   - </b> <br> GE: <b> -   -   -   - </b> <br> </div>`
      // The marker, positioned at indonesia
      var marker = new google.maps.Marker(
        {
          position: indonesia,
          map: map,
          label: 'KN SAMPLE',
          animation: google.maps.Animation.DROP
        }
      );

      marker.addListener('mouseover', function () {
        marker.setAnimation(google.maps.Animation.BOUNCE);
      });

      marker.addListener('mouseout', function () {
        marker.setAnimation(null);
      })

      marker.addListener('click', function () {
        marker.setAnimation(null);
        (new google.maps.InfoWindow({
          content,
          maxWidth: 200
        })).open(map, marker)
      })

      marker.addListener('dblclick', function () {
        window.location.href = '/marker-detail.html'
        // console.log(window.location.)
      })
    }

  </script>
  <!--Load the API from the specified URL
* The async attribute allows the browser to render the page while the API loads
* The key parameter will contain your own API key (which is not needed for this tutorial)
* The callback parameter executes the initMap() function
-->
  <script async defer src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDLetdwzs4aMpy5f5zq4YaiuEqZuUIU8ao&callback=initMap">
  </script>
</body>

</html>